﻿.form-control {
  border: 1px solid #bbbbbb;
  border-radius: 2px;
  -webkit-box-shadow: none;
  box-shadow: none;
  font-size: 1em;
  height: 40px;
}

.form-control:hover {
  border-color: #999999;
}

.form-control:focus, .form-control.calendario-aberto {
  border-bottom-color: #0060a9 !important;
  border-bottom-width: 2px;
  border-color: #999999;
  -webkit-box-shadow: none;
  box-shadow: none;
}

.form-control[readonly] {
  background-color: transparent;
}

.form-control[disabled] {
  background-color: none;
  opacity: 0.7;
}

.form-control[required].ng-valid, .form-control.success {
  border-bottom-color: #adcb57 !important;
  border-bottom-width: 2px;
  border-color: #cccccc;
}

.form-control.ng-valid:hover, .form-control.success:hover {
  border-bottom-color: #94b143 !important;
  border-color: #999999;
}

.form-control.error {
  border-bottom-color: #f83831 !important;
  border-bottom-width: 2px;
  border-color: #999999;
}

.btn {
  background-image: none;
  border: none;
  border-radius: 4px;
  -webkit-box-shadow: none;
  box-shadow: none;
  text-shadow: none;
  transition: all 0.3s ease-in-out 0s;
}

.btn[disabled] {
  cursor: default;
}

.btn-primary, .btn-primary:active, .btn-primary:focus {
  background-color: #0060a9;
}

.btn-primary:hover {
  background-color: #005192;
}

.btn-primary:disabled {
  background-color: #009cda !important;
  opacity: 0.5;
}

.btn-default {
  border: 1px solid #cccccc;
}

.btn-default:focus {
  background-color: #ffffff;
  border-color: #cccccc;
}

.btn-default:hover, .btn-default:hover:focus, .btn-default:hover:active {
  /* background-color: #e1e1e1; */
  border: 1px solid #cccccc;
  color: #0060a9;
}